// creator  : weidu.exe (version 23100)
// argument : VVSANSUK.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~VVSANSUK~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #41260 /* ~Help! You've got to help! Please!~ */
  IF ~~ THEN REPLY #41262 /* ~What? What is the matter?~ */ GOTO 1
  IF ~~ THEN REPLY #41263 /* ~Get away from me. I don't have to do anything for anyone.~ */ GOTO 1
  IF ~~ THEN REPLY #41264 /* ~If you are in need of aid I am available for hire as a mercenary.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.1 0.0
  SAY #41261 /* ~Oh no. They're here! They've caught me!~ */
  IF ~~ THEN DO ~CreateCreatureOffScreen("VVDEL",0)
CreateCreatureOffScreen("VVMALE1",0)
CreateCreatureOffScreen("VVMALE2",0)~ EXIT
END

IF ~Dead("vvdel")
Dead("vvmale1")
Dead("vvmale2")
~ THEN BEGIN 2 // from:
  SAY #41285 /* ~I... I thank you for saving me. I thought I was dead for certain.~ */
  IF ~Global("WorkingForBodhi","GLOBAL",1)~ THEN GOTO 3
  IF ~Global("WorkingForBodhi","GLOBAL",0)
Global("ShadowWork","GLOBAL",0)~ THEN GOTO 4
  IF ~Global("ShadowWork","GLOBAL",1)~ THEN GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #41291 /* ~I did not expect charity from a member of their selfsame guild. I thank you for this, though next time we meet we shall probably be at each other's throats.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #41292 /* ~You do not seem to have the same cruel streak through you that these creatures displayed. Remember that when you choose your allegiance in future. Once again, I thank you.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.2
  SAY #41293 /* ~Good to see that you are willing to risk your neck for a fellow ally of the Shadow Thief Guild. Looks like you were well worth the risk. Again, I thank you.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END
